## snimpy 0.8.12

=== Makefile ===
.PHONY: clean-pyc clean-build docs

open := $(shell { which xdg-open || which open; } 2>/dev/null)

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  clean-build   to remove build artifacts"
	@echo "  clean-pyc     to remove Python file artifacts"
	@echo "  lint          to check style with flake8"
	@echo "  test          to run tests quickly with the default Python"
	@echo "  testall       to run tests on every Python version with tox"
	@echo "  coverage      to check code coverage quickly with the default Python"
	@echo "  docs          to generate Sphinx HTML documentation, including API docs"
	@echo "  release       to package and upload a release"
	@echo "  sdist         to package"

clean: clean-build clean-pyc

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -type f -exec rm -f {} +
	find . -name '*.pyo' -type f -exec rm -f {} +
	find . -name '*~' -type f -exec rm -f {} +
	find . -name '__pycache__' -type d -exec rm -rf {} +

lint:
	flake8 snimpy tests

test:
	python -m nose

test-all:
	tox

coverage:
	coverage run --source snimpy setup.py test
	coverage report -m
	coverage html
	$(open) htmlcov/index.html

docs:
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(open) docs/_build/html/index.html

release: clean
	python setup.py sdist upload

sdist: clean
	python setup.py sdist
	ls -l dist

## snimpy 0.5.1

=== debian/changelog ===
snimpy (0.5.1-1) unstable; urgency=low

  * New upstream version. Includes compatibility with ipython 0.11.
    Closes: #636473.
  * Bump Standards-Version to 3.9.2.
  * Update URL in debian/control (homepage and VCS).
  * Transition to dh_python2.
  * Use '3.0 (quilt)' format.

 -- Vincent Bernat <bernat@debian.org>  Sun, 07 Aug 2011 09:41:30 +0200

snimpy (0.5-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version to 3.8.4.

 -- Vincent Bernat <bernat@debian.org>  Wed, 03 Feb 2010 22:15:19 +0100

snimpy (0.4-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version to 3.8.1.
  * Remove manpage. It is now correctly shipped upstream.

 -- Vincent Bernat <bernat@debian.org>  Sat, 06 Jun 2009 16:27:02 +0200

snimpy (0.3-1) unstable; urgency=low

  * New upstream version
     + Drop patch fixing shell invocation, included upstream
     + Add a patch to setup.py to not install manual page that was not
       shipped upstream

 -- Vincent Bernat <bernat@debian.org>  Sun, 23 Nov 2008 18:37:57 +0100

snimpy (0.2.1-2) unstable; urgency=low

  * Add a patch to fix a typo that causes snimpy to crash if ipython is
    not installed. Thanks to Tilman Koschnick. Closes: #503864.

 -- Vincent Bernat <bernat@debian.org>  Tue, 28 Oct 2008 23:22:51 +0100

snimpy (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #501130)

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Oct 2008 21:42:57 +0200

=== debian/control ===
Source: snimpy
Section: python
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 5.0.38),
	       cdbs (>= 0.4.90~),
	       python-all-dev (>= 2.6.6-3~),
	       libsmi2-dev, libsnmp-dev
Standards-Version: 3.9.2
Homepage: https://github.com/vincentbernat/snimpy/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/snimpy.git
Vcs-Git: git://git.debian.org/git/collab-maint/snimpy.git

Package: snimpy
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ipython
Description: interactive SNMP tool with Python
 Snimpy is a Python-based tool providing a simple interface to build
 SNMP queries. This interface aims at being the most Pythonic
 possible: you grab scalars using attributes and columns are like
 dictionaries.
 .
 Snimpy can either be used interactively through its console (derived
 from Python own console or from IPython if available) or by writing
 snimpy scripts which are just Python scripts with some global
 variables available.

## snimpy 0.6.1

=== debian/changelog ===
snimpy (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sun, 15 Jan 2012 14:17:13 +0100

## snimpy 0.6.3

=== debian/changelog ===
snimpy (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Apr 2012 22:09:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	       cdbs (>= 0.4.90~),
 	       python-all-dev (>= 2.6.6-3~),
 	       libsmi2-dev, libsnmp-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/vincentbernat/snimpy/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/snimpy.git
 Vcs-Git: git://git.debian.org/git/collab-maint/snimpy.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES=snimpy

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

## snimpy 0.6.4

=== debian/changelog ===
snimpy (0.6.4-1build1) saucy; urgency=low

  * Rebuild for libsnmp30.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 00:28:49 +0100

snimpy (0.6.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4
  * Enable hardening in debian/rules..

 -- Vincent Bernat <bernat@debian.org>  Wed, 15 May 2013 08:53:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>= 5.0.38),
+Build-Depends: debhelper (>= 5.0.38), dpkg-dev (>= 1.16.1.1),
 	       cdbs (>= 0.4.90~),
 	       python-all-dev (>= 2.6.6-3~),
 	       libsmi2-dev, libsnmp-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://github.com/vincentbernat/snimpy/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/snimpy.git
 Vcs-Git: git://git.debian.org/git/collab-maint/snimpy.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES=snimpy

export DEB_BUILD_MAINT_OPTIONS = hardening=+all hardening=-pie
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

## snimpy 0.8.0

=== debian/changelog ===
snimpy (0.8.0-1) unstable; urgency=low

  * New upstream version.
     + Don't ship Python 3 module. The main use of Snimpy is still the
       `snimpy` command and there is little value in adding more packages
       to the archive.
     + Replace dependency to NetSNMP with dependency to PySNMP.
  * Use debian/compat 9.
  * Tweak debian/rules to workaround a bug in CFFI.

 -- Vincent Bernat <bernat@debian.org>  Sun, 20 Oct 2013 13:34:22 +0200

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES=snimpy

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# .so file get installed in the wrong place and we need the matching
# .c file to avoid recompilation
install/snimpy::
	for buildver in $(cdbs_curpythonbuildversions); do \
		lib=$(call cdbs_expand_python_distutils_installdir,python$$buildver) ; \
		rm debian/snimpy/$$lib/*.so ; \
		mkdir debian/snimpy/$$lib/snimpy/__pycache__ ; \
		cp snimpy/__pycache__/_cffi* debian/snimpy/$$lib/snimpy/__pycache__ ; \
	done

clean::
	rm -f snimpy/__pycache__/*.so
	rm -f snimpy/__pycache__/snimpy/__pycache__/*.o

## snimpy 0.8.1

=== debian/changelog ===
snimpy (0.8.1-2build1) trusty; urgency=medium

  * No-change rebuild to update python-cffi dependency.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Mar 2014 20:09:54 +0100

snimpy (0.8.1-2) unstable; urgency=low

  * Depends on the exact upstream version of python-cffi we built
    upon. Closes: #737196.
  * Bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Fri, 31 Jan 2014 22:13:37 +0100

snimpy (0.8.1-1) unstable; urgency=low

  * New upstream version.
     + Remove hack to find CFFI extension.

 -- Vincent Bernat <bernat@debian.org>  Thu, 24 Oct 2013 14:35:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,23 @@
 Section: python
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>= 5.0.38), dpkg-dev (>= 1.16.1.1),
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1),
 	       cdbs (>= 0.4.90~),
 	       python-all-dev (>= 2.6.6-3~),
-	       libsmi2-dev, libsnmp-dev
-Standards-Version: 3.9.4
+	       libsmi2-dev,
+               python-setuptools,
+               python-pysnmp4,
+               python-cffi,
+               python-mock,
+               python-nose
+Standards-Version: 3.9.5
 Homepage: https://github.com/vincentbernat/snimpy/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/snimpy.git
-Vcs-Git: git://git.debian.org/git/collab-maint/snimpy.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/snimpy.git
 
 Package: snimpy
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${cffi:Depends}
 Suggests: ipython
 Description: interactive SNMP tool with Python
  Snimpy is a Python-based tool providing a simple interface to build

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES=snimpy

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	rm -rf snimpy/__pycache__

DEB_DH_GENCONTROL_ARGS_snimpy=-- -Vcffi:Depends="$(shell python -c 'import cffi ; min=cffi.__version__ ; max=min.split(".") ; max[-1] = str(int(max[-1])+1) ;  print("python-cffi (>= %s), python-cffi (<< %s)" % (min, ".".join(max)))')"

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/snimpy/ snimpy-([\d.]+).tar.gz

## snimpy 0.8.3

=== debian/changelog ===
snimpy (0.8.3-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 04 Mar 2015 16:16:48 +0100

snimpy (0.8.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 20 Aug 2014 11:32:46 +0200

## snimpy 0.8.6

=== debian/changelog ===
snimpy (0.8.6-2) unstable; urgency=medium

  * Let python-cffi generate the appropriate dependencies.

 -- Vincent Bernat <bernat@debian.org>  Mon, 21 Sep 2015 21:17:55 +0200

snimpy (0.8.6-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 25 Jun 2015 08:25:01 +0200

snimpy (0.8.5-4) unstable; urgency=medium

  * Add entry for `docs/_themes` in debian/copyright.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Jun 2015 18:19:10 +0200

snimpy (0.8.5-3) unstable; urgency=medium

  * Fix debian/watch file.

 -- Vincent Bernat <bernat@debian.org>  Thu, 18 Jun 2015 21:01:23 +0200

snimpy (0.8.5-2) unstable; urgency=medium

  * Conversion to dh.
  * Ships both python-snimpy and python3-snimpy. Closes: #782961.
  * Build the documentation as well.

 -- Vincent Bernat <bernat@debian.org>  Sun, 26 Apr 2015 21:00:52 +0200

snimpy (0.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Sun, 26 Apr 2015 20:41:07 +0200

=== debian/control ===
Source: snimpy
Section: python
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
	       libsmi2-dev,
               python-sphinx (>= 1.0.7+dfsg),
	       python-all-dev (>= 2.6.6-3~), python3-all-dev,
               python-setuptools, python3-setuptools,
               python-pysnmp4, python3-pysnmp4,
               python-cffi, python3-cffi,
               python-mock, python3-mock,
               python-nose, python3-nose
Standards-Version: 3.9.6
Homepage: https://github.com/vincentbernat/snimpy/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/snimpy.git
Vcs-Git: git://anonscm.debian.org/collab-maint/snimpy.git

Package: snimpy
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python3-snimpy (>= ${source:Version}),
         python3-snimpy (<< ${source:Version}.1~)
Suggests: ipython3
Description: interactive SNMP tool with Python
 Snimpy is a Python-based tool providing a simple interface to build
 SNMP queries. This interface aims at being the most Pythonic
 possible: you grab scalars using attributes and columns are like
 dictionaries.
 .
 Snimpy can either be used interactively through its console (derived
 from Python own console or from IPython if available) or by writing
 snimpy scripts which are just Python scripts with some global
 variables available.

Package: python-snimpy
Architecture: any
Depends: ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         ${cffi:Depends}
Description: high-level SNMP bindings for Python 2
 Snimpy is a Python-based tool providing a simple interface to build
 SNMP queries. This interface aims at being the most Pythonic
 possible: you grab scalars using attributes and columns are like
 dictionaries.
 .
 Snimpy can either be used interactively through its console (derived
 from Python own console or from IPython if available) or by writing
 snimpy scripts which are just Python scripts with some global
 variables available.
 .
 This package contains the binding for Python 2.

Package: python3-snimpy
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         ${cffi3:Depends}
Description: high-level SNMP bindings for Python 3
 Snimpy is a Python-based tool providing a simple interface to build
 SNMP queries. This interface aims at being the most Pythonic
 possible: you grab scalars using attributes and columns are like
 dictionaries.
 .
 Snimpy can either be used interactively through its console (derived
 from Python own console or from IPython if available) or by writing
 snimpy scripts which are just Python scripts with some global
 variables available.
 .
 This package contains the binding for Python 3.

Package: python-snimpy-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: interactive SNMP tool with Python (documentation)
 Snimpy is a Python-based tool providing a simple interface to build
 SNMP queries. This interface aims at being the most Pythonic
 possible: you grab scalars using attributes and columns are like
 dictionaries.
 .
 Snimpy can either be used interactively through its console (derived
 from Python own console or from IPython if available) or by writing
 snimpy scripts which are just Python scripts with some global
 variables available.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_DESTDIR_python2=debian/python-snimpy/
export PYBUILD_DESTDIR_python3=debian/python3-snimpy/

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf snimpy/__pycache__

override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ \
                debian/python-snimpy-doc/usr/share/doc/python-snimpy-doc/html/

# We cannot run any test since we would need some MIBS unavailable in Debian (main)
override_dh_auto_test:

override_dh_install:
	dh_install
	# Move snimpy executable in its dedicated package
	mkdir -p debian/snimpy/usr debian/snimpy/usr/share/man
	mv debian/python3-snimpy/usr/bin debian/snimpy/usr/.
	mv debian/python3-snimpy/usr/share/man/man1 debian/snimpy/usr/share/man/.
	rm -rf debian/python-snimpy/usr/bin debian/python-snimpy/usr/share/man
	rm -rf debian/python3-snimpy/usr/bin debian/python3-snimpy/usr/share/man

## snimpy 0.8.8

=== debian/changelog ===
snimpy (0.8.8-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 11:46:15 +0000

snimpy (0.8.8-1) unstable; urgency=medium

  * New upstream release.
  * Remove runtime requirement on python-cffi.
  * Build-Depends on python{,3}-vcversioner.

 -- Vincent Bernat <bernat@debian.org>  Mon, 16 Nov 2015 07:58:20 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                python-pysnmp4, python3-pysnmp4,
                python-cffi, python3-cffi,
                python-mock, python3-mock,
-               python-nose, python3-nose
+               python-nose, python3-nose,
+               python-vcversioner, python3-vcversioner
 Standards-Version: 3.9.6
 Homepage: https://github.com/vincentbernat/snimpy/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/snimpy.git
@@ -39,8 +40,7 @@
 Architecture: any
 Depends: ${python:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
-         ${cffi:Depends}
+         ${shlibs:Depends}
 Description: high-level SNMP bindings for Python 2
  Snimpy is a Python-based tool providing a simple interface to build
  SNMP queries. This interface aims at being the most Pythonic
@@ -58,8 +58,7 @@
 Architecture: any
 Depends: ${python3:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
-         ${cffi3:Depends}
+         ${shlibs:Depends}
 Description: high-level SNMP bindings for Python 3
  Snimpy is a Python-based tool providing a simple interface to build
  SNMP queries. This interface aims at being the most Pythonic

## snimpy 0.8.10

=== debian/changelog ===
snimpy (0.8.10-1) unstable; urgency=medium

  * New upstream release.
  * d/control: bump Standards-Version to 3.9.7.
  * d/control: update Vcs-* URL.

 -- Vincent Bernat <bernat@debian.org>  Sat, 19 Mar 2016 13:09:37 +0100

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                python-mock, python3-mock,
                python-nose, python3-nose,
                python-vcversioner, python3-vcversioner
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/vincentbernat/snimpy/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/snimpy.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/snimpy.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/snimpy.git
+Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/snimpy.git
 
 Package: snimpy
 Architecture: all

## snimpy 0.8.11

=== debian/changelog ===
snimpy (0.8.11-1) unstable; urgency=medium

  * New upstream release.
  * d/control: bump Standards-Version to 3.9.8.

 -- Vincent Bernat <bernat@debian.org>  Sat, 03 Sep 2016 13:27:00 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python-mock, python3-mock,
                python-nose, python3-nose,
                python-vcversioner, python3-vcversioner
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/vincentbernat/snimpy/
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/snimpy.git
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/snimpy.git

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,17 @@
 # We cannot run any test since we would need some MIBS unavailable in Debian (main)
 override_dh_auto_test:
 
+override_dh_python2:
+	dh_python2
+	# cffi not needed at runtime, remove it from requires
+	sed -i '/^cffi/d' \
+		debian/python-snimpy/usr/lib/python2*/dist-packages/snimpy*.egg-info/requires.txt
+override_dh_python3:
+	dh_python3
+	# cffi not needed at runtime, remove it from requires
+	sed -i '/^cffi/d' \
+		debian/python3-snimpy/usr/lib/python3*/dist-packages/snimpy*.egg-info/requires.txt
+
 override_dh_install:
 	dh_install
 	# Move snimpy executable in its dedicated package

=== debian/watch ===
version=3
http://pypi.debian.net/snimpy/snimpy-([\d.]+).tar.gz

## snimpy 0.8.12

=== debian/changelog ===
snimpy (0.8.12-1) unstable; urgency=medium

  * New upstream release.
  * d/control: bump Standards-Version to 4.1.1.
  * d/control: build-depends on python3-sphinx.
  * d/watch: use HTTPS.

 -- Vincent Bernat <bernat@debian.org>  Mon, 13 Nov 2017 07:27:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
 	       libsmi2-dev,
-               python-sphinx (>= 1.0.7+dfsg),
+               python3-sphinx,
 	       python-all-dev (>= 2.6.6-3~), python3-all-dev,
                python-setuptools, python3-setuptools,
                python-pysnmp4, python3-pysnmp4,
@@ -13,7 +13,7 @@
                python-mock, python3-mock,
                python-nose, python3-nose,
                python-vcversioner, python3-vcversioner
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/vincentbernat/snimpy/
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/snimpy.git
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/snimpy.git

## snimpy 0.8.13

=== requirements.txt ===
Babel==2.1.1
Jinja2==2.8
MarkupSafe==0.23
Pygments==2.0.2
Sphinx==1.3.1
alabaster==0.7.6
cffi==1.3.0
coverage==4.0.2
docutils==0.12
flake8==2.3.0
mccabe==0.3.1
mock==1.3.0
pbr==1.8.1
pep8==1.6.2
pyasn1==0.1.9
pycparser==2.14
pycrypto==2.6.1
pyflakes==1.0.0
pysnmp==4.2.5
pytz==2015.7
six==1.10.0
snowballstemmer==1.2.0
sphinx-rtd-theme==0.1.9

=== debian/changelog ===
snimpy (0.8.13-2) unstable; urgency=medium

  * d/control: drop Python 2 support. Closes: #938508.
  * d/control: add back Vcs-* fields.

 -- Vincent Bernat <bernat@debian.org>  Sat, 31 Aug 2019 07:22:33 +0200

snimpy (0.8.13-1) unstable; urgency=medium

  * New upstream release, with Python 3.7 support.
  * d/control: remove outdated Vcs-* URL.

 -- Vincent Bernat <bernat@debian.org>  Sat, 13 Oct 2018 16:43:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,21 @@
                dh-python,
 	       libsmi2-dev,
                python3-sphinx,
-	       python-all-dev (>= 2.6.6-3~), python3-all-dev,
-               python-setuptools, python3-setuptools,
-               python-pysnmp4, python3-pysnmp4,
-               python-cffi, python3-cffi,
-               python-mock, python3-mock,
-               python-nose, python3-nose,
-               python-vcversioner, python3-vcversioner
+	       python3-all-dev,
+               python3-setuptools,
+               python3-pysnmp4,
+               python3-cffi,
+               python3-mock,
+               python3-nose,
+               python3-vcversioner
 Standards-Version: 4.1.1
 Homepage: https://github.com/vincentbernat/snimpy/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/snimpy.git
-Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/snimpy.git
+Vcs-Browser: https://salsa.debian.org/debian/snimpy
+Vcs-Git: https://salsa.debian.org/debian/snimpy.git
 
 Package: snimpy
 Architecture: all
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends},
          python3-snimpy (>= ${source:Version}),
          python3-snimpy (<< ${source:Version}.1~)
@@ -35,24 +35,6 @@
  from Python own console or from IPython if available) or by writing
  snimpy scripts which are just Python scripts with some global
  variables available.
-
-Package: python-snimpy
-Architecture: any
-Depends: ${python:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: high-level SNMP bindings for Python 2
- Snimpy is a Python-based tool providing a simple interface to build
- SNMP queries. This interface aims at being the most Pythonic
- possible: you grab scalars using attributes and columns are like
- dictionaries.
- .
- Snimpy can either be used interactively through its console (derived
- from Python own console or from IPython if available) or by writing
- snimpy scripts which are just Python scripts with some global
- variables available.
- .
- This package contains the binding for Python 2.
 
 Package: python3-snimpy
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_DESTDIR=debian/python3-snimpy/

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf snimpy/__pycache__

override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ \
                debian/python-snimpy-doc/usr/share/doc/python-snimpy-doc/html/

# We cannot run any test since we would need some MIBS unavailable in Debian (main)
override_dh_auto_test:

override_dh_python3:
	dh_python3
	# cffi not needed at runtime, remove it from requires
	sed -i '/^cffi/d' \
		debian/python3-snimpy/usr/lib/python3*/dist-packages/snimpy*.egg-info/requires.txt

override_dh_install:
	dh_install
	# Move snimpy executable in its dedicated package
	mkdir -p debian/snimpy/usr debian/snimpy/usr/share/man
	mv debian/python3-snimpy/usr/bin debian/snimpy/usr/.
	mv debian/python3-snimpy/usr/share/man/man1 debian/snimpy/usr/share/man/.
	rm -rf debian/python3-snimpy/usr/bin debian/python3-snimpy/usr/share/man

## snimpy 1.0.0

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 
 lint:
 	flake8 snimpy tests
+	interrogate --fail-under 50 -v snimpy tests
 
 test:
 	python -m nose

=== debian/changelog ===
snimpy (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: drop dependencies needed for tests (they are disabled)

 -- Vincent Bernat <bernat@debian.org>  Sat, 30 Oct 2021 07:01:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
 	       libsmi2-dev,
                python3-sphinx,
@@ -10,10 +10,8 @@
                python3-setuptools,
                python3-pysnmp4,
                python3-cffi,
-               python3-mock,
-               python3-nose,
                python3-vcversioner
-Standards-Version: 4.1.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/vincentbernat/snimpy/
 Vcs-Browser: https://salsa.debian.org/debian/snimpy
 Vcs-Git: https://salsa.debian.org/debian/snimpy.git

=== debian/watch ===
version=3
https://pypi.debian.net/snimpy/snimpy-([\d.]+).tar.gz

## snimpy 1.0.3

=== debian/changelog ===
snimpy (1.0.3-2) unstable; urgency=medium

  * d/control: build-depends on python3-pysnmp4. Closes: #1101298, #1101601.
    This package is not on par with the one on Pypi, but it still works and
    not threatened of removal.

 -- Vincent Bernat <bernat@debian.org>  Sat, 05 Apr 2025 10:27:36 +0200

snimpy (1.0.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name, Repository,
    Repository-Browse.
  * Update lintian override info format in d/python-snimpy-doc.lintian-overrides
    on line 2.

  [ Vincent Bernat ]
  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 07 Sep 2024 15:06:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-	       libsmi2-dev,
+               libsmi2-dev,
                python3-sphinx,
-	       python3-all-dev,
+               python3-all-dev,
                python3-setuptools,
                python3-pysnmp4,
                python3-cffi,
@@ -56,6 +56,7 @@
 Section: doc
 Architecture: all
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: interactive SNMP tool with Python (documentation)
  Snimpy is a Python-based tool providing a simple interface to build
  SNMP queries. This interface aims at being the most Pythonic

## snimpy 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 .PHONY: clean-pyc clean-build docs
 
 open := $(shell { which xdg-open || which open; } 2>/dev/null)
+python = python3
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -32,13 +33,13 @@
 	interrogate --fail-under 50 -v snimpy tests
 
 test:
-	python -m nose
+	$(python) -m pytest
 
 test-all:
 	tox
 
 coverage:
-	coverage run --source snimpy setup.py test
+	coverage run --source snimpy -m unittest discover -s tests
 	coverage report -m
 	coverage html
 	$(open) htmlcov/index.html
@@ -49,8 +50,9 @@
 	$(open) docs/_build/html/index.html
 
 release: clean
-	python setup.py sdist upload
+	$(python) -m build
+	twine upload dist/*.tar.gz
 
 sdist: clean
-	python setup.py sdist
+	$(python) -m build
 	ls -l dist

=== debian/changelog ===
snimpy (1.1.0-1) unstable; urgency=medium

  * New upstream version. Closes: #1083776.
  * d/control: build-depends on python3-pysnmp >= 7.
  * d/manpages: ship snimpy.1

 -- Vincent Bernat <bernat@debian.org>  Sun, 15 Feb 2026 06:38:14 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-sphinx,
                python3-all-dev,
                python3-setuptools,
-               python3-pysnmp4,
+               python3-pysnmp (>= 7),
                python3-cffi,
                python3-vcversioner
 Standards-Version: 4.6.0.1

=== debian/rules ===
--- 
+++ 
@@ -29,5 +29,4 @@
 	# Move snimpy executable in its dedicated package
 	mkdir -p debian/snimpy/usr debian/snimpy/usr/share/man
 	mv debian/python3-snimpy/usr/bin debian/snimpy/usr/.
-	mv debian/python3-snimpy/usr/share/man/man1 debian/snimpy/usr/share/man/.
-	rm -rf debian/python3-snimpy/usr/bin debian/python3-snimpy/usr/share/man
+	rm -rf debian/python3-snimpy/usr/bin
